VST 3 Examples: ProxyParameter Exception Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
ProxyParameter Exception Referencefinal

`#include <mdaTestToneController.h>`

Inheritance diagram for ProxyParameter:

## Public Member Functions
| ProxyParameter (Parameter *p)
bool | setProxy (Parameter *p)
Parameter * | getProxy () const
const ParameterInfo & | getInfo () const SMTG_OVERRIDE
ParameterInfo & | getInfo () SMTG_OVERRIDE
void | setUnitID (UnitID id) SMTG_OVERRIDE
UnitID | getUnitID () SMTG_OVERRIDE
bool | setNormalized (ParamValue v) SMTG_OVERRIDE
void | toString (ParamValue _valueNormalized, String128 string) const SMTG_OVERRIDE
bool | fromString (const TChar *string, ParamValue &_valueNormalized) const SMTG_OVERRIDE
ParamValue | toPlain (ParamValue _valueNormalized) const SMTG_OVERRIDE
ParamValue | toNormalized (ParamValue plainValue) const SMTG_OVERRIDE
int32 | getPrecision () const SMTG_OVERRIDE
void | setPrecision (int32 val) SMTG_OVERRIDE
Public Member Functions inherited from Parameter
| Parameter ()
| Parameter (const ParameterInfo &)
| Parameter (const TChar *title, ParamID tag, const TChar *units=nullptr, ParamValue defaultValueNormalized=0., int32 stepCount=0, int32 flags=ParameterInfo::kCanAutomate, UnitID unitID=kRootUnitId, const TChar *shortTitle=nullptr)
| ~Parameter () override
ParamValue | getNormalized () const

## Additional Inherited Members
Public Attributes inherited from Parameter
OBJ_METHODS(Parameter, FObject) protected ParamValue | valueNormalized
int32 | precision

## Constructor & Destructor Documentation

ProxyParameter | ( | Parameter * | p | ) |
| inline

## Member Function Documentation

bool setProxy | ( | Parameter * | p | ) |
| inline

Parameter* getProxy | ( |  | ) | const
| inline

const ParameterInfo& getInfo | ( |  | ) | const
| inlinevirtual

Reimplemented from Parameter.

ParameterInfo& getInfo | ( |  | ) |
| inlinevirtual

Reimplemented from Parameter.

void setUnitID | ( | UnitID | id | ) |
| inlinevirtual

Reimplemented from Parameter.

UnitID getUnitID | ( |  | ) |
| inlinevirtual

Reimplemented from Parameter.

bool setNormalized | ( | ParamValue | v | ) |
| inlinevirtual

Reimplemented from Parameter.

void toString | ( | ParamValue | _valueNormalized,
|  | String128 | string
| ) |  | const
| inlinevirtual

Reimplemented from Parameter.

bool fromString | ( | const TChar * | string,
|  | ParamValue & | _valueNormalized
| ) |  | const
| inlinevirtual

Reimplemented from Parameter.

ParamValue toPlain | ( | ParamValue | _valueNormalized | ) | const
| inlinevirtual

Reimplemented from Parameter.

ParamValue toNormalized | ( | ParamValue | plainValue | ) | const
| inlinevirtual

Reimplemented from Parameter.

int32 getPrecision | ( |  | ) | const
| inlinevirtual

Reimplemented from Parameter.

void setPrecision | ( | int32 | val | ) |
| inlinevirtual

Reimplemented from Parameter.

Empty

Copyright ©2022 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.